// 引入主文件
import App from './App'

// 设置env配置文件
import '@/env/config.js'

// 全局配置项
import appConfig from '@/config/appConfig.js'

// 引入vue3的创建函数
import { createApp } from 'vue'

// 创建全局app
const app = createApp(App)

// 设置全局配置参数
app.config.globalProperties.appConfig = appConfig

// 挂载事件
app.mount('#app')